PROG	= fish

CC		= gcc
CFLAGS	= -std=c99 -pedantic -Wall -Wextra -O3 -D_POSIX_SOURCE
OFILES	= fishbones.o
RM		= rm -f

$(PROG): $(OFILES)
	$(CC) $(CFLAGS) -o $@ $(OFILES)

%.o: %.c
	$(CC) $(CFLAGS) -o $@ -c $<

clean:
	$(RM) $(OFILES) $(PROG) child.log*

